> ## Documentation Index
> Fetch the complete documentation index at: https://dev.pika.art/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Turbo Text to Video

> Create videos directly from text descriptions with our fastest model. Simply provide a text prompt for quick video generation.



## OpenAPI

````yaml post /generate/turbo/t2v
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /generate/turbo/t2v:
    post:
      summary: Generate Turbo T2V
      operationId: generate_turbo_t2v_generate_turbo_t2v_post
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              $ref: >-
                #/components/schemas/Body_generate_turbo_t2v_generate_turbo_t2v_post
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenerateResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      x-codeSamples:
        - lang: curl
          label: cURL
          source: |-
            curl -X POST 'https://devapi.pika.art/generate/turbo/t2v' \
            -H 'X-API-KEY: your_api_key' \
            -H 'Content-Type: application/x-www-form-urlencoded' \
            -H 'Accept: application/json' \
            -d 'promptText=A beautiful sunset over mountains' \
            -d 'negativePrompt=blurry, low quality' \
            -d 'seed=12345'
        - lang: python
          label: Python
          source: |

            import requests

            url = "https://devapi.pika.art/generate/turbo/t2v"
            payload = {
                "promptText": "A beautiful sunset over mountains",
                "negativePrompt": "blurry, low quality",
                "seed": 12345
            }
            headers = {
                "X-API-KEY": "your_api_key",
                "Content-Type": "application/x-www-form-urlencoded",
                "Accept": "application/json"
            }
            response = requests.post(url, data=payload, headers=headers)
            print(response.json())
components:
  schemas:
    Body_generate_turbo_t2v_generate_turbo_t2v_post:
      properties:
        promptText:
          type: string
          title: Prompttext
        negativePrompt:
          anyOf:
            - type: string
            - type: 'null'
          title: Negativeprompt
        seed:
          anyOf:
            - type: integer
            - type: 'null'
          title: Seed
        aspectRatio:
          anyOf:
            - type: number
              maximum: 2.5
              minimum: 0.4
            - type: 'null'
          title: Aspectratio
          description: Aspect ratio (width / height)
      type: object
      required:
        - promptText
      title: Body_generate_turbo_t2v_generate_turbo_t2v_post
    GenerateResponse:
      properties:
        video_id:
          type: string
          title: Video Id
      type: object
      required:
        - video_id
      title: GenerateResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````